## ros-eloquent-webots-ros2-importer 1.0.2

=== webots_ros2_importer/urdf2webots/requirements.txt ===
pycollada==0.6
Pillow
rospkg

=== debian/changelog ===
ros-eloquent-webots-ros2-importer (1.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 12 Oct 2020 09:28:20 -0000

ros-eloquent-webots-ros2-importer (1.0.0-1bionic) bionic; urgency=high

  * Added the '--multi-file', '--static-base', '--tool-slot' and '--rotation' arguments.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-eloquent-webots-ros2-importer (0.0.3-1bionic) bionic; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 14 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-eloquent-webots-ros2-importer
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), python-numpy, python-pil, python3-pep8, python3-pil, python3-pytest, ros-eloquent-ament-copyright, ros-eloquent-ament-flake8, ros-eloquent-ament-pep257, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: http://wiki.ros.org/webots_ros2
Standards-Version: 3.9.2

Package: ros-eloquent-webots-ros2-importer
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-xacro, ros-eloquent-ros-workspace
Description: This package allows to convert URDF and XACRO files into Webots PROTO files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/eloquent" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-webots-ros2-importer//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
